%define pkgname pkg-config
Name:		pkgconfig
Version:	0.21
Release:	%mkrel 1
Summary:	Pkgconfig helps make building packages easier
Source:		http://www.freedesktop.org/software/pkgconfig/releases/%{pkgname}-%version.tar.bz2
Patch0:		pkg-config-0.21-biarch.patch
# (fc) 0.19-1mdk add --print-provides/--print-requires (Fedora)
Patch1:		pkgconfig-0.15.0-reqprov.patch
# (gb) 0.19-2mdk 64-bit fixes, though that code is not used, AFAICS
Patch2:		pkg-config-0.19-64bit-fixes.patch
URL:		http://www.freedesktop.org/software/pkgconfig
License:	GPL
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
pkgconfig is a program which helps you gather information to make
life easier when you are compiling a program for those programs which support
it.

In fact, it's required to build certain packages.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .biarch
%patch1 -p1 -b .reqprov
%patch2 -p1 -b .64bit-fixes

#needed by patch1
autoheader
autoconf

%build
%{?__cputoolize: %{__cputoolize} -c glib-1.2.8}
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
%if "%{_lib}" != "lib"
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig
ln -s ../../lib/pkgconfig $RPM_BUILD_ROOT%{_libdir}/pkgconfig/32
%endif

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README ChangeLog
%{_bindir}/pkg-config
%{_libdir}/pkgconfig
%{_datadir}/pkgconfig
%if "%{_lib}" != "lib"
%{_prefix}/lib/pkgconfig
%{_libdir}/pkgconfig/32
%endif
%{_datadir}/aclocal/*
%{_mandir}/man1/*




%changelog

* Thu Oct 19 2006 Gtz Waschk <waschk@mandriva.org> 0.21-1mdv2007.1
- update and fix patch 0
- New version 0.21

* Sat Apr 01 2006 Helio Castro <helio@mandriva.com> 0.20-2mdk
- Removed --enable-indirect-deps since this leads a undesirable chain of
  dependencies during compilation. New modular xorg suffers heavily on this
  problem.

* Thu Oct 27 2005 David Walluck <walluck@mandriva.org> 0.20-1mdk
- 0.20

* Sat Sep 03 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.19-2mdk
- some 64-bit fixes, but apparently in dead code
- fix broken patch1 regeneration from 0.17.2-1mdk

* Fri Aug 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.19-1mdk 
- Release 0.19
- Regenerate patch1
- remove make check, doesn't pass upstream
- Patch2 (Fedora): add --print-provides/--print-requires
- Patch3 (Fedora): fix overflow when using gcc4

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.17.2-2mdk 
- Create /usr/share/pkgconfig for arch independant .pc files

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.17.2-1mdk 
- Release 0.17.2
- don't enable inter-library dependency, it might break many apps
- Remove patch0 (merged upstream)
- Regenerate patch1

* Tue Jan 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.15.0-5mdk
- biarch pkgconfig support

* Sun Jun 13 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.15.0-4mdk
- small patch to avoid spurious aclocal warning
- spec cleanup

